using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableTomato : FarmableCrop
	{
		public static int GetCropID()
		{
			return 0x01FA;
		}

		public override Item GetCropObject()
		{
			Tomato tomato = new Tomato();

			tomato.ItemID = 0x098F;
			tomato.Amount = 2;

			return tomato;
		}

		public override int GetPickedID()
		{
			return 0x0CAD;
		}

		[Constructable]
		public FarmableTomato() : base( GetCropID() )
		{
			Name = "tomatoes";
		}

		public FarmableTomato( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}